# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/xsltproc
# END SourceDeps(oneline)
%define oldname gypsy
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%oldname is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name gypsy
%define major		0
%define libname		lib%{oldname}%{major}
%define develname	lib%{oldname}-devel

Name:		libgypsy
Version:	0.9
Release:	alt2_8
Summary:	A GPS multiplexing daemon
Group:		System/Libraries
# See LICENSE file for details
License:	LGPLv2 and GPLv2
URL:		http://gypsy.freedesktop.org/
Source0:	http://gypsy.freedesktop.org/releases/%{oldname}-%{version}.tar.gz
Patch0:		gypsy-0.9-fedora-gtypeinit.patch
Patch1:		gypsy-0.9-mga-no-werror.patch
Patch2:		gypsy-0.9-gcc7.patch
Patch3:		gypsy-0.9-format.patch

BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libxslt)

Requires:	dbus dbus-tools
Source44: import.info
Provides: gypsy-daemon = %EVR

%description
Gypsy is a GPS multiplexing daemon which allows multiple clients to
access GPS data from multiple GPS sources concurrently.

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	A GPS multiplexing daemon
Group:		System/Libraries

%description -n %{libname}
A GPS multiplexing daemon

#--------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{oldname}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{oldname}-devel = %{version}-%{release}
Obsoletes:	gypsy-devel < 0.8-8

%description -n %{develname}
Header files for development with %{oldname}.

#--------------------------------------------------------------------

%package	docs
Summary:	Documentation files for %{oldname}
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Requires:	gtk-doc

%description docs
This package contains developer documentation for %{oldname}.

#--------------------------------------------------------------------

%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS COPYING COPYING.lib LICENSE
%{_sysconfdir}/%{oldname}.conf
%{_sysconfdir}/dbus-1/system.d/Gypsy.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.Gypsy.service
%{_libexecdir}/%{oldname}-daemon

%files -n %{libname}
%{_libdir}/libgypsy.so.%{major}
%{_libdir}/libgypsy.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{oldname}/
%{_libdir}/pkgconfig/%{oldname}.pc
%{_libdir}/libgypsy.so

%files docs
%doc %{_datadir}/gtk-doc/html/%{oldname}


%changelog
* Mon Oct 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.9-alt2_8
- resurrected in autoimports

* Sun Apr 07 2013 Yuri N. Sedunov <aris@altlinux.org> 0.9-alt2
- fixed build with glib-2.36

* Tue Oct 09 2012 Yuri N. Sedunov <aris@altlinux.org> 0.9-alt1
- 0.9

* Thu May 31 2012 Yuri N. Sedunov <aris@altlinux.org> 0.8-alt4
- fixed build with gcc-4.6

* Fri Mar 11 2011 Yuri N. Sedunov <aris@altlinux.org> 0.8-alt3
- rebuild for debuginfo

* Sat Dec 11 2010 Yuri N. Sedunov <aris@altlinux.org> 0.8-alt2
- updated buildreqs

* Wed Nov 10 2010 Yuri N. Sedunov <aris@altlinux.org> 0.8-alt1
- 0.8

* Mon Sep 14 2009 Yuri N. Sedunov <aris@altlinux.org> 0.7-alt1
- adapted for Sisyphus
- new daemon package

* Thu Aug 06 2009 Bastien Nocera <bnocera@redhat.com> 0.7-1
- Update to 0.7

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Bastien Nocera <bnocera@redhat.com> 0.6-9
- Gypsy is supposed to run as a system service, as root

* Wed Mar  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.6-8
- Move docs to noarch, some spec file updates

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-6
- Add gtk-doc build req

* Sat Nov 22 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-5
- Rebuild

* Thu Sep 11 2008 - Bastien Nocera <bnocera@redhat.com> 0.6-4
- Rebuild

* Mon May 15 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-3
- Further spec file cleanups

* Mon Apr 28 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-2
- Some spec file cleanups

* Sat Apr 26 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-1
- Initial package
